Tuesday, 23 January 2018

IBM BPM 8.6 - Upgrading to CF2017.12

In December, IBM released an update to IBM Business Process Manager 8.6, specifically the Cumulative Fix 2017-12, aka CF2017.12.

This is what it included, in part: -

Update to IBM BPM V8.6 CF2017.12 to experience all the highlights, such as these added abilities and improvements:

IBM BPM
• Simplify user task authoring with inline user tasks
• Model decision logic in the web IBM Process Designer
• Experience enhanced support of coach views for use in IBM Robotic Process Automation with Automation Anywhere
• Gain more insight into IBM BPM process applications
• Benefit from enhanced process application validation support
• Efficiently manage multiple library items in Process Designer
• Revert library items in Process Designer
• Learn how to use IBM App Connect
• Restrict rights to create and update saved searches by using an action policy


Having downloaded the Cumulative Fix a month or so back, I decided to work through the installation.

The first thing to note is that the CF comes as a .ZIP file, specifically an Installation Manager "Delta" repository.

Compared to the original 8.6 Delta Repo: -

ls -alh /Volumes/DaveHaySSD/Software/BPM86/Fixpacks/

total 9360184
drwxr-xr-x  4 davidhay  staff   136B  5 Jan 15:56 .
drwxr-xr-x  5 davidhay  staff   170B 19 Jan 10:08 ..
-rw-r--r--  1 davidhay  staff   1.9G  5 Jan 09:54 bpm.8600.cf2017.12.delta.repository.zip
-rw-r--r--  1 davidhay  staff   2.5G 26 Sep 13:25 bpm.8600.delta.repository.zip

it's interesting to note that the CF2017.12 Repo is smaller.

In terms of patching BPM, I've gone through the process a number of times now, most recently focusing upon the upgrade from 8.5.5 to 8.5.7 and 8.6.

The very short-hand version of my process follows: -

Starting Position

/opt/ibm/InstallationManager/eclipse/tools/imcl listInstalledPackages

com.ibm.cic.agent_1.8.8000.20171130_1105
com.ibm.bpm.ADV.v85_8.5.5000.20140604_1130
com.ibm.websphere.ND.v85_8.5.5002.20140408_1947


Patch WAS to 8.5.5.12

/opt/ibm/InstallationManager/eclipse/tools/imcl -input /mnt/ResponseFiles/upgradeWAS85512.rsp -acceptLicense

Updated to com.ibm.websphere.ND.v85_8.5.5012.20170627_1018 in the /opt/ibm/WebSphere/AppServer directory.
WARNING: Your default Java SDK is Java SE 6. After April 2018, service for Java SE 6 can no longer be provided, which could expose your environment to security risks.

To stay current and reduce the risk of security exposures, update to Java SE 8 using one of the following options:
- Install WebSphere Application Server 8.5.5.11 or later with Java SE 8.
- Install the optional IBM WebSphere SDK, Java Technology Edition, Version 8 package to an existing package group that contains WebSphere Application Server Version 8.5.
- Migrate to WebSphere Application Server traditional Version 9.

Alternatively, to use Java SE 7, install the optional IBM WebSphere SDK, Java Technology Edition, Version 7 or 7.1 package to the package group that contains WebSphere Application Server Version 8.5.

Install Java 8

/opt/ibm/InstallationManager/eclipse/tools/imcl -input /mnt/ResponseFiles/installJava8.rsp -acceptLicense

Installed com.ibm.websphere.IBMJAVA.v80_8.0.4005.20170626_0627 to the /opt/ibm/WebSphere/AppServer directory.

Patch BPM

/opt/ibm/InstallationManager/eclipse/tools/imcl -input upgradeBPM855_to_86_CF201712.rsp -acceptLicense

Updated to com.ibm.bpm.ADV.v85_8.6.201712.20171211_1726 in the /opt/ibm/WebSphere/AppServer directory.

Ending Position

/opt/ibm/InstallationManager/eclipse/tools/imcl listInstalledPackages

com.ibm.cic.agent_1.8.8000.20171130_1105
com.ibm.bpm.ADV.v85_8.6.201712.20171211_1726
com.ibm.websphere.IBMJAVA.v80_8.0.4005.20170626_0627
com.ibm.websphere.ND.v85_8.5.5012.20170627_1018


Note that this ONLY focuses upon the binaries, there's also a need to: -

(a) Upgrade the BPM database schemae to support 8.6
(b) Update the WAS profiles to use Java 8 rather than Java 6 
(c) Synchronise the WAS cell

However, for me, the key thing is that I can upgrade directly from 8.5.5 to 8.6 CF2017.12, rather than having to install the "base" 8.6 CF2017.09 update ( this is how 8.6 was first shipped in September 2017 ).

From this: -


To install this upgrade, you must have Version 8.5.0.0, Version 8.5.0.1, Version 8.5.0.2, Version 8.5.5.0, Version 8.5.6.0, Version 8.5.6.0 CF01, Version 8.5.6.0 CF02, Version V8.5.7.0, Version 8.5.7 CF2016.06, Version 8.5.7 CF2016.09, Version 8.5.7 CF2016.12, Version 8.5.7 CF2017.03, Version 8.5.7 2017.06, or Version 8.6 of IBM Business Process Manager Express, IBM Business Process Manager Standard, IBM Business Process Manager Advanced, or IBM Business Process Manager Advanced - Process Server, IBM Business Process Manager Express Server, or IBM Business Process Manager Server installed.

2 comments:

Prasanth Madullapalle said...

hi

thanks for providing good information in the blog.But i need IBM BPM migration from 8.5.7 Version to 8.6 Advanced can you know or any documents available please provide us.

Thanks & Regards
Prasanth.M

Dave Hay said...

Hi Prasanth

There's plenty of material covering the upgrade from 8.5.7 to 8.6 in the Knowledge Center, including this: -

https://www-01.ibm.com/support/docview.wss?uid=swg27050084

Cheers, Dave